Summary:	An integrated file sharing solution for the GNOME Desktop
Summary(pl.UTF-8):	Zintegrowane rozwiązanie do współdzielenia plików dla środowiska GNOME
Name:		gnome-user-share
Version:	3.14.2
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-user-share/3.14/%{name}-%{version}.tar.xz
# Source0-md5:	ccf4bb24067b6e85f0d40c131cfaaf4f
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gnome-bluetooth-devel >= 3.10.0
BuildRequires:	gnome-common
BuildRequires:	gtk+3-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:	libnotify-devel
BuildRequires:	libselinux-devel
BuildRequires:	libtool
BuildRequires:	nautilus-devel >= 3.0.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	apache-mod_auth_digest
Requires:	apache-mod_authn_file
Requires:	apache-mod_authz_groupfile
Requires:	apache-mod_dav
Requires:	apache-mod_dnssd >= 0.6
Requires:	bluez >= 5.0
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An integrated file sharing solution for the GNOME Desktop. It uses
WebDAV.

%description -l pl.UTF-8
Zintegrowane rozwiązanie do współdzielenia plików dla środowiska
GNOME. Używa WebDAV.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/gnome-user-share-obexpush
%attr(755,root,root) %{_libdir}/gnome-user-share-webdav
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-share-extension.so
%{_sysconfdir}/xdg/autostart/gnome-user-share-obexpush.desktop
%{_datadir}/GConf/gsettings/gnome-user-share.convert
%{_desktopdir}/gnome-user-share-webdav.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.file-sharing.gschema.xml
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/*/*.png
%changelog
* Tue Dec 23 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-user-share.git;a=log;h=master

* Mon Dec 22 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 4efacec
- Update to 3.14.2

* Thu Nov 11 2010 Szymon Siwek <sls@pld-linux.org> a7cab33
- more BR

* Fri Oct 08 2010 Jarosław Kruk <jareq@pld-linux.org> 3922f40
- updated to 2.30.1
- rel 1

* Wed Jan 06 2010 sparky <sparky@pld-linux.org> 38053b1
- BR: gettext-devel, perl-XML-Parser, pkgconfig

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 549df9d
- finish updated to 0.31; fix previous commit msg

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> bdef15b
- updated to 0.31

* Fri Nov 09 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 1be5279
- added R(post,preun): GConf2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5cdf88b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ff49637
- converted to UTF-8

* Mon Dec 04 2006 Jakub Bogusz <qboosh@pld-linux.org> b669ff3
- safer .desktop glob

* Mon Dec 04 2006 aflinta <aflinta@pld-linux.org> 36d9c48
- up to 0.10

* Mon May 02 2005 Jakub Bogusz <qboosh@pld-linux.org> f89af1e
- BR: macros >= 1.198, removed export leftover

* Sun May 01 2005 wrobell <wrobell@pld-linux.org> 74a9422
- updated md5

* Sun May 01 2005 wrobell <wrobell@pld-linux.org> 786989a
- it does not use smb

* Sun May 01 2005 wrobell <wrobell@pld-linux.org> 0731d48
- based on epittance

